import FuncMain from './Functions/FuncMain';
import FuncLogin from './Functions/LevelAFunctions/FuncLogin';
import FuncPlatformMenu from './Functions/LevelAFunctions/FuncPlatformMenu';
import FuncProjectSelection from './Functions/LevelAFunctions/FuncProjectSelection';

class Os {
  funcMain: FuncMain;
  funcLogin: FuncLogin;
  funcPlatformMenu: FuncPlatformMenu;
  funcProjectSelection: FuncProjectSelection;
  constructor() {
    this.funcMain = new FuncMain('FuncMain');
    this.funcLogin = new FuncLogin('FuncLogin');
    this.funcPlatformMenu = new FuncPlatformMenu('FuncPlatformMenu');
    this.funcProjectSelection = new FuncProjectSelection(
      'FuncProjectSelection',
    );
  }
}

export default Os;
